> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yafacture.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Actualizar el contacto del emisor



## OpenAPI

````yaml https://rest.yafacture.com/openapi-emisores.json post /emisores-contactos/{_id}
openapi: 3.0.0
info:
  title: Yafacture
  description: Yafacture API
  version: '1.0'
  contact:
    name: Yafacture
    url: https://yafacture.com
    email: hola@yafacture.com
servers:
  - url: https://rest.yafacture.com
security: []
tags: []
paths:
  /emisores-contactos/{_id}:
    post:
      tags:
        - Emisores contactos de cuentas
      summary: Actualizar el contacto del emisor
      operationId: EmisoresContactosController_controllerUpdate
      parameters:
        - name: _id
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmisoresContactosDto'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Forbidden resource
                  error:
                    type: string
                    example: Forbidden
                  statusCode:
                    type: integer
                    format: int32
                    example: 403
                required:
                  - message
                  - error
                  - statusCode
      security:
        - x-api-key: []
        - bearer: []
components:
  schemas:
    EmisoresContactosDto:
      type: object
      properties:
        emisorId:
          type: string
          description: Identificador único del emisor
        claveInstitucion:
          type: string
          description: Clave de institución bancaria
        cuenta:
          type: string
          description: Número de cuenta bancaria
        nombre:
          type: string
          description: Nombre del contacto
        alias:
          type: string
          description: Alias o nombre alternativo
          default: ''
        metodo:
          type: string
          description: Método de contacto
        emails:
          description: Lista de correos electrónicos
          default: []
          type: array
          items:
            type: string
        telefonos:
          description: Lista de números telefónicos
          default: []
          type: array
          items:
            type: string
        fechaCreacion:
          format: date-time
          type: string
          description: Fecha de creación del registro
        fechaActualizacion:
          format: date-time
          type: string
          description: Fecha de última actualización del registro
        status:
          type: boolean
          description: Estado activo/inactivo del contacto
          default: true
      required:
        - emisorId
        - claveInstitucion
        - cuenta
        - nombre
        - alias
        - metodo
        - emails
        - telefonos
        - fechaCreacion
        - fechaActualizacion
        - status
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        X-API-Key authentication header for the development token generated in
        Yafacture
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````